Package weka.core.pmml.jaxbbindings

# Class NumericInfo

java.lang.Object
weka.core.pmml.jaxbbindings.NumericInfo

public class NumericInfo extends Object

Java class for NumericInfo element declaration.

The following schema fragment specifies the expected content contained within this class.

     <element name="NumericInfo">
       <complexType>
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element ref="{http://www.dmg.org/PMML-4_1}Extension" maxOccurs="unbounded" minOccurs="0"/>
               <element ref="{http://www.dmg.org/PMML-4_1}Quantile" maxOccurs="unbounded" minOccurs="0"/>
             </sequence>
             <attribute name="interQuartileRange" type="{http://www.dmg.org/PMML-4_1}NUMBER" />
             <attribute name="maximum" type="{http://www.dmg.org/PMML-4_1}NUMBER" />
             <attribute name="mean" type="{http://www.dmg.org/PMML-4_1}NUMBER" />
             <attribute name="median" type="{http://www.dmg.org/PMML-4_1}NUMBER" />
             <attribute name="minimum" type="{http://www.dmg.org/PMML-4_1}NUMBER" />
             <attribute name="standardDeviation" type="{http://www.dmg.org/PMML-4_1}NUMBER" />
           </restriction>
         </complexContent>
       </complexType>
     </element>

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NumericInfo()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<Extension>`
  `getExtension()`
  Gets the value of the extension property.
  `Double`
  `getInterQuartileRange()`
  Gets the value of the interQuartileRange property.
  `Double`
  `getMaximum()`
  Gets the value of the maximum property.
  `Double`
  `getMean()`
  Gets the value of the mean property.
  `Double`
  `getMedian()`
  Gets the value of the median property.
  `Double`
  `getMinimum()`
  Gets the value of the minimum property.
  `List<Quantile>`
  `getQuantile()`
  Gets the value of the quantile property.
  `Double`
  `getStandardDeviation()`
  Gets the value of the standardDeviation property.
  `void`
  `setInterQuartileRange(Double value)`
  Sets the value of the interQuartileRange property.
  `void`
  `setMaximum(Double value)`
  Sets the value of the maximum property.
  `void`
  `setMean(Double value)`
  Sets the value of the mean property.
  `void`
  `setMedian(Double value)`
  Sets the value of the median property.
  `void`
  `setMinimum(Double value)`
  Sets the value of the minimum property.
  `void`
  `setStandardDeviation(Double value)`
  Sets the value of the standardDeviation property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### NumericInfo

    public NumericInfo()

- ## Method Details

  - ### getExtension

    public List<Extension> getExtension()
    Gets the value of the extension property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the extension property.

    For example, to add a new item, do as follows:

            getExtension().add(newItem);

    Objects of the following type(s) are allowed in the list `Extension`

  - ### getQuantile

    public List<Quantile> getQuantile()
    Gets the value of the quantile property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the quantile property.

    For example, to add a new item, do as follows:

            getQuantile().add(newItem);

    Objects of the following type(s) are allowed in the list `Quantile`

  - ### getInterQuartileRange

    public Double getInterQuartileRange()
    Gets the value of the interQuartileRange property.
    Returns:
      possible object is `Double`

  - ### setInterQuartileRange

    public void setInterQuartileRange(Double value)
    Sets the value of the interQuartileRange property.
    Parameters:
      `value` - allowed object is `Double`

  - ### getMaximum

    public Double getMaximum()
    Gets the value of the maximum property.
    Returns:
      possible object is `Double`

  - ### setMaximum

    public void setMaximum(Double value)
    Sets the value of the maximum property.
    Parameters:
      `value` - allowed object is `Double`

  - ### getMean

    public Double getMean()
    Gets the value of the mean property.
    Returns:
      possible object is `Double`

  - ### setMean

    public void setMean(Double value)
    Sets the value of the mean property.
    Parameters:
      `value` - allowed object is `Double`

  - ### getMedian

    public Double getMedian()
    Gets the value of the median property.
    Returns:
      possible object is `Double`

  - ### setMedian

    public void setMedian(Double value)
    Sets the value of the median property.
    Parameters:
      `value` - allowed object is `Double`

  - ### getMinimum

    public Double getMinimum()
    Gets the value of the minimum property.
    Returns:
      possible object is `Double`

  - ### setMinimum

    public void setMinimum(Double value)
    Sets the value of the minimum property.
    Parameters:
      `value` - allowed object is `Double`

  - ### getStandardDeviation

    public Double getStandardDeviation()
    Gets the value of the standardDeviation property.
    Returns:
      possible object is `Double`

  - ### setStandardDeviation

    public void setStandardDeviation(Double value)
    Sets the value of the standardDeviation property.
    Parameters:
      `value` - allowed object is `Double`